Skip to main content
GET
/
api
/
kb
/
collections
List Collections Api
curl --request GET \
  --url https://api.example.com/api/kb/collections \
  --header 'Authorization: Bearer <token>'
{
  "status": "<string>",
  "total_count": 123,
  "message": "<string>",
  "collections": [
    {
      "name": "<string>",
      "schema_version": "1.0.0",
      "embedding_model_id": "<string>",
      "embedding_dimension": 1,
      "documents": 0,
      "processed_documents": 0,
      "parses": 0,
      "chunks": 0,
      "embeddings": 0,
      "document_names": [
        "<string>"
      ],
      "document_metadata": [
        {
          "filename": "<string>",
          "file_id": "<string>",
          "doc_id": "<string>"
        }
      ],
      "owners": [
        123
      ],
      "collection_locked": false,
      "allow_mixed_parse_methods": false,
      "skip_config_validation": false,
      "ingestion_config": {
        "deepdoc_processing_mode": "<string>",
        "deepdoc_parallel_threads": 2,
        "deepdoc_reserve_cpu": 1,
        "deepdoc_limiter_capacity": 2,
        "deepdoc_pipeline_monitor": true,
        "deepdoc_pipeline_s1_workers": 2,
        "deepdoc_gpu_sessions": 1,
        "embedding_base_url": "<string>",
        "embedding_api_key": "<string>",
        "embedding_timeout_sec": 1,
        "parse_method": "default",
        "chunk_strategy": "recursive",
        "chunk_method": "<string>",
        "chunk_size": 1000,
        "chunk_overlap": 200,
        "headers_to_split_on": [
          [
            "<string>",
            "<string>"
          ]
        ],
        "separators": [
          "<string>"
        ],
        "use_token_count": false,
        "tiktoken_encoding": "cl100k_base",
        "enable_protected_content": true,
        "protected_patterns": [
          "<string>"
        ],
        "table_context_size": 0,
        "image_context_size": 0,
        "embedding_model_id": "<string>",
        "collection_locked": false,
        "allow_mixed_parse_methods": false,
        "skip_config_validation": false,
        "embedding_batch_size": 10,
        "embedding_concurrent": 10,
        "embedding_use_async": false,
        "max_retries": 3,
        "retry_delay": 1
      },
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "last_accessed_at": "2023-11-07T05:31:56Z",
      "extra_metadata": {}
    }
  ],
  "warnings": [
    "<string>"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.xagent.run/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

Successful Response

Response payload for the list collections operation.

status
string
required

Operation status: success|error

total_count
integer
required

Number of collections discovered

message
string
required

Human-readable status message

collections
CollectionInfo · object[]

Collection statistics

warnings
string[]

Non-fatal issues encountered during aggregation